%define oname SimpleParse
Name: python-module-simpleparse
Version: 2.1.0a1
Release: alt1

Summary: A Parser Generator for Python (w/mxTextTools derivative)

Group: Development/Python
License: BSD-like
Url: http://simpleparse.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

%setup_python_module %oname

Source: http://downloads.sourceforge.net/simpleparse/%oname-%version.tar.gz

BuildPreReq: rpm-build-compat >= 1.2

# rpm-build-java rpm-build-mono rpm-build-seamonkey xorg-sdk
# Automatically added by buildreq on Mon Dec 01 2008
BuildRequires: python-devel 

%description
Provides a moderately fast parser generator for use with Python,
includes a forked version of the mxTextTools text-processing library
modified to eliminate recursive operation and fix a number of
undesirable behaviours.

Converts EBNF grammars directly to single-pass parsers for many
largely deterministic grammars.

%prep
%setup -n %oname-%version

%build
%python_build

%install
%python_install

%files
%doc license.txt
%python_sitelibdir/simpleparse/

%changelog
* Mon Dec 01 2008 Vitaly Lipatov <lav@altlinux.ru> 2.1.0a1-alt1
- initial build for ALT Linux Sisyphus
